<?php
class trumbowyg extends cmsFrontend {

    public function actionUpload(){

        if (!$this->cms_user->is_logged) {
            return $this->cms_template->renderJSON(array(
                'status' => 'error',
                'msg'    => 'auth error'
            ));
        }

        $file_context = array(
            'target_controller' => $this->request->get('target_controller', ''),
            'target_subject' => $this->request->get('target_subject', ''),
            'target_id' => $this->request->get('target_id', '')
        );

		$result = cmsCore::getController('images')->
                registerUploadFile($file_context)->
                uploadWithPreset('file', 'wysiwyg_redactor');

        if (!$result['success']){

            return $this->cms_template->renderJSON(array(
                'status' => 'error',
                'msg'    => $result['error']
            ));

        }

        return $this->cms_template->renderJSON(array(
            'filelink' => $result['image']['url'],
			'success' => true
        ));

    }


}
